gsap.registerPlugin(ScrollTrigger);

var trigger = document.querySelector(".onscrollAnimatetext");
var box = document.querySelector(".box");
const t1 = gsap.timeline({
   scrollTrigger: {
    trigger: ".onscrollAnimatetext",
    endTrigger: ".bg_gray",
    scrub: 1,
    start: "top top",
    end: "top top",
    pin: true,
    markers: true
  }
});

const t12 = gsap.timeline({
  scrollTrigger: {
    trigger: ".content",
    scrub: 4,
    start: "top top+=100px",
    pin: true,
     snap: {
        snapTo: "labels", // snap to the closest label in the timeline
        duration: {min: 1, max: 5}, // the snap animation should be at least 0.2 seconds, but no more than 3 seconds (determined by velocity)
        delay: 1, // wait 0.2 seconds from the last scroll event before doing the snapping
        ease: "power1.inOut" // the ease of the snap animation ("power3" by default)
      }
    //markers: true
  }
});


t12
  // .from(".one", { duration: 1, opacity: 0 })
  // .to(".one", { duration: 1, opacity: 0 })
  // .from(".two", { duration: 1, opacity: 0 })
  // .to(".two", { duration: 1, opacity: 0 })
  // .from(".three", { duration: 1, opacity: 0 })
  // .to(".three", { duration: 1, opacity: 0 })
  // .from(".four", { duration: 1, opacity: 0 })
  // .to(".four", { duration: 1, opacity: 0 })
   .set(".onscrollAnimatetext", { className: "bg_red verticalPanel onscrollAnimatetext fix-height"})
  .set(".one", { className: "box one absolute"}, "+=1")
  .set(".two", { className: "box two absolute"}, "-=1")
  .set(".three", { className: "box three absolute"}, "-=2")
  .set(".four", { className: "box four absolute"}, "-=3")
  .addLabel("start")
    .from(".one .img-box", { duration: 40, opacity: 0, ease: "Power1.easeInOut"})
  .from(".one .box-text", { duration: 40, opacity: 0, marginTop:'50px', ease: "Power1.easeInOut" }, "-=1" )
  .to(".one .img-box", { duration: 40, opacity: 0, ease: "Power1.easeInOut"  }, "+=30")
  .to(".one .box-text", { duration: 40, opacity: 0, marginTop:'50px', ease: "Power1.easeInOut"   }, "-=10")
  .from(".two .img-box", { duration: 40, opacity: 0, ease: "Power1.easeInOut"  })
  .addLabel("two")
  .from(".two .box-text", { duration: 40, opacity: 0, marginTop:'50px', ease: "Power1.easeInOut"   })
  .to(".two .img-box", { duration: 40, opacity: 0, ease: "Power1.easeInOut"  }, "+=30")
  .to(".two .box-text", { duration: 40, opacity: 0, marginTop:'50px', ease: "Power1.easeInOut"   }, "-=10")
  .from(".three .img-box", { duration: 40, opacity: 0, ease: "Power1.easeInOut"  })

  .from(".three .box-text", { duration: 40, opacity: 0, marginTop:'50px', ease: "Power1.easeInOut"   })
  .addLabel("three")
  .to(".three .img-box", { duration: 40, opacity: 0, ease: "Power1.easeInOut"  }, "+=30")
  .to(".three .box-text", { duration: 40, opacity: 0, marginTop:'50px', ease: "Power1.easeInOut"   }, "-=10")
  .addLabel("four")
  .from(".four .img-box", { duration: 40, opacity: 0, ease: "Power1.easeInOut"  })
  .from(".four .box-text", { duration: 40, opacity: 0, marginTop:'50px', ease: "Power1.easeInOut"   })
  .to(".four .img-box", { duration: 40, opacity: 0, ease: "Power1.easeInOut"  }, "+=30")
  .to(".four .box-text", { duration: 40, opacity: 0, marginTop:'50px', ease: "Power1.easeInOut"   }, "-=10")
  .to(".content", { duration: 40, opacity: 0 })
;